[arch-commits] Commit in python-tornado/repos (4 files)
Felix Yan
fyan at archlinux.org
Wed Jul 16 03:28:37 UTC 2014
Date: Wednesday, July 16, 2014 @ 05:28:37
Author: fyan
Revision: 115756
archrelease: copy trunk to community-testing-i686, community-testing-x86_64
Added:
python-tornado/repos/community-testing-i686/
python-tornado/repos/community-testing-i686/PKGBUILD
(from rev 115755, python-tornado/trunk/PKGBUILD)
python-tornado/repos/community-testing-x86_64/
python-tornado/repos/community-testing-x86_64/PKGBUILD
(from rev 115755, python-tornado/trunk/PKGBUILD)
-----------------------------------+
community-testing-i686/PKGBUILD | 58 ++++++++++++++++++++++++++++++++++++
community-testing-x86_64/PKGBUILD | 58 ++++++++++++++++++++++++++++++++++++
2 files changed, 116 insertions(+)
Copied: python-tornado/repos/community-testing-i686/PKGBUILD (from rev 115755, python-tornado/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2014-07-16 03:28:37 UTC (rev 115756)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+
+pkgname=('python-tornado' 'python2-tornado')
+pkgver=4.0.0
+pkgrel=1
+pkgdesc='open source version of the scalable, non-blocking web server and tools'
+arch=('i686' 'x86_64')
+url='http://www.tornadoweb.org/'
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-backports.ssl_match_hostname' 'git' 'python-certifi' 'python2-certifi')
+checkdepends=('python-pycurl' 'python2-pycurl' 'python-mock' 'python2-mock' 'python-twisted' 'python2-twisted')
+source=("git+https://github.com/facebook/tornado.git#tag=v$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+ cp -a tornado{,-py2}
+
+ # python -> python2 rename
+ find tornado-py2 -name '*py' -exec sed -e 's_#!/usr/bin/env python_&2_' -i {} \;
+}
+
+build() {
+ cd tornado
+ python setup.py build
+
+ cd ../tornado-py2
+ python2 setup.py build
+}
+
+check() {
+ cd tornado
+ python -m tornado.test.runtests || warning "Tests failed"
+ python -m tornado.test.runtests --ioloop=tornado.platform.asyncio.AsyncIOLoop || warning "Tests with AsyncIO failed"
+ python -m tornado.test.runtests --ioloop=tornado.platform.select.SelectIOLoop || warning "Tests with SelectIO failed"
+ python -m tornado.test.runtests --ioloop=tornado.platform.twisted.TwistedIOLoop || warning "Tests with TwistedIO failed"
+
+ cd ../tornado-py2
+ python2 -m tornado.test.runtests || warning "Tests failed"
+ python2 -m tornado.test.runtests --ioloop=tornado.platform.twisted.TwistedIOLoop || warning "Tests with TwistedIO failed"
+ python2 -m tornado.test.runtests --ioloop=tornado.platform.select.SelectIOLoop || warning "Tests with SelectIO failed"
+}
+
+package_python-tornado() {
+ depends=('python-certifi')
+
+ cd tornado
+ python setup.py install --root="${pkgdir}" --optimize=1
+}
+
+package_python2-tornado() {
+ depends=('python2-certifi' 'python2-backports.ssl_match_hostname')
+
+ cd tornado-py2
+ python2 setup.py install --root="${pkgdir}" --optimize=1
+}
+
Copied: python-tornado/repos/community-testing-x86_64/PKGBUILD (from rev 115755, python-tornado/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2014-07-16 03:28:37 UTC (rev 115756)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+
+pkgname=('python-tornado' 'python2-tornado')
+pkgver=4.0.0
+pkgrel=1
+pkgdesc='open source version of the scalable, non-blocking web server and tools'
+arch=('i686' 'x86_64')
+url='http://www.tornadoweb.org/'
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-backports.ssl_match_hostname' 'git' 'python-certifi' 'python2-certifi')
+checkdepends=('python-pycurl' 'python2-pycurl' 'python-mock' 'python2-mock' 'python-twisted' 'python2-twisted')
+source=("git+https://github.com/facebook/tornado.git#tag=v$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+ cp -a tornado{,-py2}
+
+ # python -> python2 rename
+ find tornado-py2 -name '*py' -exec sed -e 's_#!/usr/bin/env python_&2_' -i {} \;
+}
+
+build() {
+ cd tornado
+ python setup.py build
+
+ cd ../tornado-py2
+ python2 setup.py build
+}
+
+check() {
+ cd tornado
+ python -m tornado.test.runtests || warning "Tests failed"
+ python -m tornado.test.runtests --ioloop=tornado.platform.asyncio.AsyncIOLoop || warning "Tests with AsyncIO failed"
+ python -m tornado.test.runtests --ioloop=tornado.platform.select.SelectIOLoop || warning "Tests with SelectIO failed"
+ python -m tornado.test.runtests --ioloop=tornado.platform.twisted.TwistedIOLoop || warning "Tests with TwistedIO failed"
+
+ cd ../tornado-py2
+ python2 -m tornado.test.runtests || warning "Tests failed"
+ python2 -m tornado.test.runtests --ioloop=tornado.platform.twisted.TwistedIOLoop || warning "Tests with TwistedIO failed"
+ python2 -m tornado.test.runtests --ioloop=tornado.platform.select.SelectIOLoop || warning "Tests with SelectIO failed"
+}
+
+package_python-tornado() {
+ depends=('python-certifi')
+
+ cd tornado
+ python setup.py install --root="${pkgdir}" --optimize=1
+}
+
+package_python2-tornado() {
+ depends=('python2-certifi' 'python2-backports.ssl_match_hostname')
+
+ cd tornado-py2
+ python2 setup.py install --root="${pkgdir}" --optimize=1
+}
+
More information about the arch-commits
mailing list